Observable Class Reference
Design patterns

Object that notifies its changes to a set of observers. More...

`#include <ql/patterns/observable.hpp>`

Inheritance diagram for Observable:
[legend]

## Public Member Functions

| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Friends

class | Observer

## Detailed Description

Object that notifies its changes to a set of observers.

## Member Function Documentation

## operator=()

Observable & operator= | ( | const Observable & | o | ) |

Warning:
  notification is sent before the copy constructor has a chance of actually change the data members. Therefore, observers whose update() method tries to use their observables will not see the updated values. It is suggested that the update() method just raise a flag in order to trigger a later recalculation.

## notifyObservers()

void notifyObservers | ( |  | ) |

This method should be called at the end of non-const methods or when the programmer desires to notify any changes.